Bug Hunting Session
Bug 120918 - Change the AutoFormat Table Style button in Calc for several icon sets
Summary: Change the AutoFormat Table Style button in Calc for several icon sets
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.2.0 target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2018-10-25 18:08 UTC by Pedro
Modified: 2018-12-09 20:00 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Icon to change. (381.40 KB, image/png)
2018-10-25 18:08 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-10-25 18:08:41 UTC
Created attachment 146009 [details]
Icon to change.

The AutoFormat Table Styles icon should be changed to something more clear to the user.
The icon for choosing Table Styles in Excel is a brush on top of a table so I would advise to change the icon to something that visually represents a table instead of a magic wand. 

As it is, it's difficult to tell what that button does.
This icon should be changed at least in Breeze, Karasa Jaga, Colibre and Elementary.
Comment 1 Commit Notification 2018-10-26 16:22:38 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a23ef14e671ad427b2cef81a4482ce006c347846

elementary+KJ: Fix for tdf#120918

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Heiko Tietze 2018-11-13 09:03:29 UTC
Looks like Breeze and Colibre are missing now. Assigning to Andreas.
Comment 3 andreas_k 2018-11-19 23:08:29 UTC
fyi in colibre and breeze there are a lot of links to AutoFormat in links.txt so this change need to be handled careful, hope in elementary and k-j the linked files work well.
Comment 4 Commit Notification 2018-11-20 09:27:09 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/228fed36aba7d6a9d02911bcf602218682442a56%5E%21

tdf#120918 change AutoFormat Style in Colibre

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-20 23:59:43 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9acac4b0ab7f39e71bcb8c9d4eb7e5657bbeb0b0%5E%21

tdf#120918 change AutoFormat Style in Colibre

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-12-09 20:00:32 UTC
Solved on Colibre on Version: 6.3.0.0.alpha0+
Build ID: e4c2d0bb57ab8ea8f5c400d103d01376b8140f22
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-30_21:37:10
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded